INSDseqFormat.Terms (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.io.INSDseqFormat.Terms class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Class INSDseqFormat.Terms

    java.lang.Object
      org.biojavax.bio.seq.RichSequence.Terms
          org.biojavax.bio.seq.io.INSDseqFormat.Terms

Enclosing class:
  INSDseqFormat

    public static class INSDseqFormat.Terms

extends RichSequence.Terms

Implements some INSDseq-specific terms.

Field Summary

Fields inherited from class org.biojavax.bio.seq.RichSequence.Terms
`DOI_KEY, MEDLINE_KEY, PLASMID_KEY, PUBMED_KEY, SPECIES_KEY, STRAIN_KEY, TISSUE_KEY, TRANSPOSON_KEY`

Constructor Summary
`INSDseqFormat.Terms()`

Method Summary
`static ComparableTerm` | `getINSDseqTerm()` Getter for the INSDseq term
`static ComparableTerm` | `getOtherSeqIdTerm()` Getter for the INSDseq term

Methods inherited from class org.biojavax.bio.seq.RichSequence.Terms
`getAdditionalAccessionTerm, getCopyrightTerm, getDataClassTerm, getDateAnnotatedTerm, getDateCreatedTerm, getDateUpdatedTerm, getFeatureDescTerm, getFTIdTerm, getGeneNameTerm, getGeneSynonymTerm, getKeywordTerm, getMolTypeTerm, getOrderedLocusNameTerm, getORFNameTerm, getOrganelleTerm, getPlasmidTerm, getRelAnnotatedTerm, getRelCreatedTerm, getRelUpdatedTerm, getSpeciesTerm, getStrainTerm, getStrandedTerm, getTissueTerm, getTransposonTerm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### INSDseqFormat.Terms

    public INSDseqFormat.Terms()

Method Detail

### getOtherSeqIdTerm

    public static ComparableTerm getOtherSeqIdTerm()

  Getter for the INSDseq term

  Returns:
    The INSDseq Term

### getINSDseqTerm

    public static ComparableTerm getINSDseqTerm()

  Getter for the INSDseq term

  Returns:
    The INSDseq Term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD